List Available Global Cluster Regions (V2)
Returns region groups that can be used together in a Global Cluster. Use this API before creating a Global Cluster or adding secondary clusters.
GET/v2/globalClusters/availableRegions
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
📘Notes
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/globalClusters/availableRegions" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json
regionGroupsarray
Region groups where member regions can communicate with each other for Global Cluster usage. An empty array means no available region combination is currently exposed for the organization.
[]regionGroupsarray
Returns an error message.
codeinteger
Response code.
Example Value: 400
messagestring
Error message.
Example Value: Invalid request parameters.
{
"regionGroups": [
[
"aws-us-west-2",
"aws-us-east-1"
],
[
"aws-eu-central-1",
"aws-eu-west-1"
]
]
}